com.collabnet.ce.soap60.webservices.tag

## Class TagSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.tag.TagSoapDO

-     public class TagSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  The TagSoapDO class represents a tag created in a project.
  Since:
    17.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDeletedDate()` Returns 'deletedDate'.
    `String` | `getDescription()` Returns 'description'.
    `String` | `getName()` Returns 'name'.
    `String` | `getProjectId()` Returns 'projectId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDeletedDate(Date deletedDate)` Sets 'deletedDate'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setName(String name)` Sets 'name'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagSoapDO

          public TagSoapDO()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns 'name'. The tag name.
      Returns:
        Value of 'name'.

    - #### setName

          public void setName(String name)

      Sets 'name'. The tag name.
      Parameters:
        `name` - Value of 'name'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The tag description.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The tag description.
      Parameters:
        `description` - Value of 'description'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. The project id.
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. The project id.
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getDeletedDate

          public Date getDeletedDate()

      Returns 'deletedDate'. The date on which this tag was deleted.
      Returns:
        Value of 'deletedDate'.

    - #### setDeletedDate

          public void setDeletedDate(Date deletedDate)

      Sets 'deletedDate'. The date on which this tag was deleted.
      Parameters:
        `deletedDate` - Value of 'deletedDate'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.